- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- PublishType
- DeployInfo
- WarningsInfo
- Warning
- Try it!
Submit the item to be published in the store.
The item will be submitted for review unless skipReview is set to true, or the item is staged from a previous submission with publishType set to STAGED_PUBLISH.
HTTP request
POST https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:publish
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the item in the form |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "publishType": enum ( |
| Fields | |
|---|---|
publishType |
Optional. Use this to control if the item is published immediately on approval or staged for publishing in the future. Defaults to |
deployInfos[] |
Optional. Additional deploy information including the desired initial percentage rollout. Defaults to the current value saved in the developer dashboard if unset. |
skipReview |
Optional. Whether to attempt to skip item review. The API will validate if the item qualifies and return a validation error if the item requires review. Defaults to |
blockOnWarnings |
Optional. When set to true the request will fail if there are any warnings during validation and the details will be included in the |
Response body
Response message for items.publish.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "itemId": string, "state": enum ( |
| Fields | |
|---|---|
name |
The name of the item that was submitted |
itemId |
Output only. The ID of the item. |
state |
Output only. The current state of the submission. |
warningInfo |
Output only. Non-blocking warnings encountered during the request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chromewebstore
PublishType
The type of publishing this item will follow if it passes review.
| Enums | |
|---|---|
PUBLISH_TYPE_UNSPECIFIED |
Default value. This is the same as DEFAULT_PUBLISH. |
DEFAULT_PUBLISH |
The submission will be published immediately after being approved. |
STAGED_PUBLISH |
After approval the submission will be staged and can then be published by the developer. |
DeployInfo
Deployment information for a specific release channel. Used in requests to update deployment parameters.
| JSON representation |
|---|
{ "deployPercentage": integer } |
| Fields | |
|---|---|
deployPercentage |
Required. The current deploy percentage for the release channel (nonnegative number between 0 and 100). |
WarningsInfo
Message containing details on warnings encountered during items.publish.
| JSON representation |
|---|
{
"warnings": [
{
object ( |
| Fields | |
|---|---|
warnings[] |
All warnings encountered during the request. |
Warning
Represents a single warning encountered during the request.
| JSON representation |
|---|
{ "reason": string, "description": string } |
| Fields | |
|---|---|
reason |
The reason for the warning. This is a constant value that identifies the proximate cause of the warning. |
description |
A description of the warning. Developers should use this message to understand the warning and take appropriate action to resolve the issue. |